Bug 116081 - Cant remove focus from windows unless minimised
Cant remove focus from windows unless minimised
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 21:26 EST by Carl Gherardi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 15:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Gherardi 2004-02-17 21:26:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
When clicking on the desktop active windows do not lose focus.

Version-Release number of selected component (if applicable):
Fedora 1.90

How reproducible:
Always

Steps to Reproduce:
1. Open a window
2. Click on desktop
3. Note that window still has focus
    

Expected Results:  Expect the window to lose focus and keyboard input
to be accepted by window manager

Additional info:

I have an rdesktop window open to one of my Win2k servers on one of my
workspaces.

When I flick between workspaces keybord focus shifts to the rdesktop
window - which stats to interpret key sequences. I used select the
desktop and keep "flicking" but am now forced to minimise the window.

Painful as i'm usually trying to keep an eye on a backup job or an
automated deployemnt.
Comment 1 Elijah Newren 2004-04-14 22:14:41 EDT
You could use mouse focus ('gconftool-2 --set
/apps/metacity/general/focus_mode --type string mouse').  Then moving
the mouse outside of any windows on the desktop would prevent those
windows from receiving keyboard input.

You could also open another window (which you don't care about), and
then click in it.

I'm doubtful the maintainers will want to make clicking the background
defocus a window as the background isn't normally seen as a window. 
If so, I hope one of these workarounds will work for you...
Comment 2 Carl Gherardi 2004-04-15 04:06:13 EDT
The behavior I was expecting returned a week after I reported this.
(After my next apt-get update && apt-get upgrade)

"I'm doubtful the maintainers will want to make clicking the background
defocus a window as the background isn't normally seen as a window."

I disagree - the desktop should certainly be "focus-able" or how would
one select icons on the desktop?

This bug may have belonged to nautilus at the time.

This bug should be closed now.

Cheers

Carl Gherardi

Note You need to log in before you can comment on or make changes to this bug.